blob_id stringlengths 40 40 | length_bytes int64 7 488k | source stringlengths 7 488k |
|---|---|---|
10559981e3185739a3f4add9c1ceafa6d4c9c452 | 349 | # m_matschiner Mon Jul 3 11:10:51 CEST 2017
# Generate the MCC tree for the analyses with all constraints.
if [ ! -f ../res/beast2/all_constraints/combined/rod_opsin.tre ]
then
java -jar ../bin/treeannotator.jar -burnin 0 -heights mean ../res/beast2/all_constraints/combined/rod_opsin.trees ../res/beast2/all_constrain... |
681cd7f251b53f6c4ec2fded6fbde18260de6e74 | 11 | man "date"
|
cbe6894ad52a09ca35304120fbcdc0f61f301f7f | 43 | #! /bin/bash
echo "Our First Git Push"
|
812ab0096a034620b6d299f59c077e53ce78b144 | 991 | #!/bin/sh
PACKAGE_NAME=ebox-package-installer
echo "Updating ${PACKAGE_NAME}.pot file"
xgettext --default-domain $PACKAGE_NAME --directory ../ \
--add-comments=TRANSLATORS: --language Perl -k__ -k__n -k__x -k__d \
--flag=__:1:pass-perl-format --flag=__:1:pass-perl-brace-format \
--copyright... |
cae0282700b3a0f70d2428fb71a6e8cbe5a55e72 | 434 | #!/bin/bash
basedir=/share/backup/apache_logs
date=`date +\%Y\%m\%d`
logs=`ls /var/log/httpd/*log-20* 2>/dev/null`
HostName=`hostname`
if [ "$logs" ]; then
ls $basedir > /dev/null
mkdir -p $basedir/$date
fi
#save all archived logs
for i in /var/log/httpd/*log-20*;
do
if [ -f $i ] ; then
mv $i $ba... |
7cf0640b558128a2c9c956ef6eb1cef6514d0c0c | 8,051 | #!/bin/bash
rm -rf /aqua/dtolley/UCODE_Linear_Uncert/Basecase
mkdir /aqua/dtolley/UCODE_Linear_Uncert/Basecase
mkdir /aqua/dtolley/UCODE_Linear_Uncert/Basecase/Calibration_1
mkdir /aqua/dtolley/UCODE_Linear_Uncert/Basecase/Calibration_2
mkdir /aqua/dtolley/UCODE_Linear_Uncert/Basecase/Calibration_3
mkdir /aqua/dtoll... |
b154e58210b6be329eb60bf0cfef11be49eb4bfa | 319 | export DATABASE_URL='postgresql://postgres:eva@localhost:5432/capstone'
# export TEST_DATABASE_URL='postgresql://postgres:eva@localhost:5432/capstone_test'
# export ENV=''
# export FLASK_APP=app
export AUTH0_DOMAIN='dev-epds.eu.auth0.com'
export ALGORITHMS=['RS256']
export API_AUDIENCE='capstone'
export EXITED='True'
|
64a20ec956ddc9554d7f6ea626cfc0565cd3edd9 | 413 | # Generate docs.
#mkdir -p public/api
python3 ./openapi/generate_openapi.py --release $(git describe --tags --abbrev=0) > ./public/api/wekan.yml
api2html -c ./public/logo-header.png -o ./public/api/wekan.html ./public/api/wekan.yml
# Copy docs to bundle
#cp -pR ./public/api ~/repos/wekan/.build/bundle/programs/web.br... |
e0af6e98ca6f3baaa6fa063717872a267c11e126 | 900 | #!/usr/bin/env bash
set -o errexit -o nounset -o pipefail
set -x
[ -f "$0.done" ] && exit 0
BACKEND_SERVERS=`
for (( k = 1; k <= ${_COUNT}; k++ )); do
IPV4="$(getent ahostsv4 ${_PREFIX}$k | head -n1 | cut -d' ' -f1)"
echo " server ${_PREFIX}$k $IPV4:6443 check port 6443"
done
`
mkdir -p /etc/haproxy/ && ... |
d62a96798ed29b4c3ff1ba6f86650999e5670d8c | 372 | #!/bin/bash
# ifconfig
# ๆๅIPๅฐๅ
ifconfig eth0 | egrep -o "inet [^ ]*" | grep -o "[0-9.]*"
# ่ทๅๅฝๅ็ณป็ปๅ้
ๅฐ็ๅๅญๆๅกๅจ
cat /etc/resolv.conf
# ๅๅบ็ณป็ปไธญๅผๅ็็ซฏๅฃไปฅๅๅฏนๅบ็ๆๅกไฟกๆฏ
lsof -i
# ๅไธคๆญฅๆๅไฟกๆฏ
lsof -i | grep ":[0-9]\+->" -o | grep "[0-9]\+" -o | sort | uniq
# netstat -tnp ๅๅบๅผๆพ็ซฏๅฃไธๆๅก
|
a4141e3835a56feb95a598f678e43013ed8c0058 | 126 | #!/bin/sh
ctags --file-scope=yes -R -f ~/tags/netctrl.tags ~/code/trunk/
cscope -bR -f ~/tags/netctrl.out -s ~/code/trunk/
|
131937c3e384391d3cb443c8bb1d68e0af101986 | 3,225 | #!/bin/bash
#--------init ENV-----------
. /etc/profile.d/modules.sh
module purge
# must come after module purge (else reset!)
export MODULEPATH=/cm/shared/modulefiles:$MODULEPATH
echo "MODULEPATH=" $MODULEPATH
echo "MODULE LIST loaded before task:"
module list
module load use.own
module load taskcenter/common
## Unc... |
82334faef9807dd668a26ab75ca8cedbc2b68404 | 25 | brew cask install droplr
|
8cbdc0e11094c52d29648c54e04f9468ca2a520a | 422 | #!/bin/bash
download_shell(){
sudo wget https://raw.githubusercontent.com/zjwda2016/ITC-136/master/refresh.sh
sudo chmod +x refresh.sh
sudo wget https://raw.githubusercontent.com/zjwda2016/ITC-136/master/stats.desktop
sudo chmod +x stats.desktop
sudo wget https://raw.githubusercontent.com/zjwda2016/ITC-136/master... |
8ec8de4f7db81461374e20c8044f9fef7817f725 | 146 | #!/usr/bin/env bash
mkdir -p output &&
echo -n "" > output/join_times.txt &&
spark-submit broadcast_join.py &&
spark-submit repartition_join.py |
772d85d1175e11fb74513bac0774d6cda4993a2c | 387 | #!/usr/bin/env bash
set -exu
echo "Installed versions"
python --version
python3 --version
pyenv --version
pyenv version
pyenv versions
pip --version
echo "Starting deployment"
pyenv global 3.7.1
pip3 install --upgrade pip poetry pre-commit bumpversion twine
npm install -g semantic-release @semantic-release/changelog \... |
f0d6837192f27ea2d61dd0f6545226fbb572fe0d | 180 | #!/bin/bash
# Stops the server, while preserving state.
set -e -o pipefail
sudo docker-compose -f docker-compose.yml -f docker-compose.client.yml -f docker-compose.demo.yml stop
|
5f68d20093da15bf35cc3a3812110736f3793883 | 550 |
declare -a _env
env-import() {
declare var="$1" default="$2"
if [[ -z "${!var+x}" ]]; then
if [[ -z "${2+x}" ]]; then
echo "!! Imported variable $var must be set in profile or environment." | >&2 red
exit 2
else
export $var="$default"
fi
fi
_env+=($var)
}
env-show() {
declare desc="Shows relevant... |
fb7ff7e7f683d988ad209d37cc0eea569afa9fc2 | 932 | #! /bin/sh -x
# Check for Homebrew,
# Install if we don't have it
if test ! $(which brew); then
echo "Installing homebrew..."
ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
fi
# Update homebrew recipes
brew update
# Tap casks for betas, etc
brew tap caskroom/cask
brew t... |
d0afa928521f9da9874cfccf1bb9cd236f5a3745 | 11,226 | #!/usr/bin/bash
${*//I\[XjNz\!/3yVl^,} ${*%%I?au+5Tx} ""'e'$'\x76a'l "$( ${!*} print""\f "CmI9IlwwMzNbMzQ7MW0iCiBwPSJcMDMzWzM5OzFtIgogIGs9IlwwMzNbMzM7MW0iCiAgIG09IlwwMzNbMzE7MW0iCiAgICBoPSJcMDMzWzMyOzFtIgogICAgIGM9IlwwMzNbMzU7MW0iCiAgICAgIHB1PSJcMDMzWzM2OzFtIgogICAgICAgeD0iXDAzM1szMDsxbSIKICAgICAgICBvPSJcMDMz... |
0a8f4bceb8bee6c67c216c365aa3d0ac2c87bb17 | 254 | #!/bin/bash
local readonly _append_str="
if [ -f \"${HOME}/dotfiles/.zshenv\" ]; then
source \"${HOME}/dotfiles/.zshenv\"
fi
"
function f_load_zshenv() {
if [ -e ~/.zshenv ]; then
cp ~/.zshenv{,_org}
fi
echo "${_append_str}" >>~/.zshenv
}
|
a26ed066535fffea5c0e2b8a17b4fcf6e6a6ab15 | 789 | ########################
# Antigen
########################
source ~/.antigen/antigen.zsh
source ~/.zsh-themes/ghostwheel.theme
export PATH=$HOME/bin:/usr/local/bin:$PATH
# Load the oh-my-zsh's library.
antigen use oh-my-zsh
# Syntax highlighting bundle.
antigen bundle zsh-users/zsh-syntax-highlighting
antigen bund... |
ba3762b01f7b055bf4df7e024f60b37d18765295 | 44 |
/i rm x tor-browser/stable
doCommand=false |
184e249ff80b596a81be05bc9025654512634c2e | 2,270 | # bindkey '^Y' yank-last-arg # No such func
zle -N yank-current yank_current
bindkey "^Y" yank-current
bindkey -a "^Y" yank-current
function yank_current() {
if ! [ "$BUFFER" ]; then
BUFFER="$(fc -ln -1)"
fi
printf "$BUFFER" | xsel --input --clipboard
}
zle -N prepend-sudo prepend_sudo
bindkey "^S"... |
6cc8eeb2a243e72e7319efef4f4bf2d7f3604fe0 | 159 | REACT_APP_NAME=REACT_APPS
REACT_APP_ENV=development
REACT_APP_URL=http://localhost:3000/
REACT_APP_API_URL=https://www.karomap.com/backend/
REACT_APP_API_KEY=
|
36a3a2863e055d7d04d7db318c08ee224824eae1 | 2,320 | #http://chrisadams.me.uk/2010/05/10/setting-up-a-centos-base-box-for-development-and-testing-with-vagrant/
date > /etc/vagrant_box_build_time
cat > /etc/yum.repos.d/puppetlabs.repo << EOM
[puppetlabs]
name=puppetlabs
baseurl=http://stahnma.fedorapeople.org/puppetlabs/6/\$basearch
enabled=1
gpgcheck=0
EOM
cat > /etc/... |
cafb1d7e6478420c1e5d00fbb3d00af17bffc455 | 358 | #!/bin/zsh
case $1 in
1)
exit 1
;;
2)
exit 2
;;
3)
exit 3
;;
4)
exit 4
;;
5)
exit 5
;;
6)
exit 6
;;
7)
exit 7
;;
8)
exit 8
;;
*)
cd ../..
m... |
3a7f1f9f038706759f40499a71ee5970dffec510 | 2,153 | #!/bin/bash
# Copyright 2017 Rice University
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed... |
00a3fdc24d8cf0a26a07f34f89bcfe9e9f97a302 | 335 | #!/bin/bash
set -e
# instance-list 'vpc-aaaaa,vpc-bbbbb'
aws ec2 describe-instances --filters Name=vpc-id,Values=$1 --query 'Reservations[].Instances[].[Tags[?Key==`Name`][] | [0].Value, InstanceId, PrivateIpAddress, Placement.AvailabilityZone, InstanceType, LaunchTime, State.Name, PublicDnsName] | sort_by(@, &[0])' -... |
c6ef3809973d56b1e6f4de1e5f85e506fdbdf706 | 2,462 | #!/bin/bash
# Enable debugging, useful when you want to figure out why
# this script is not behaving the way you expect it to do
DEBUG=0
# What do you want to call this service?
SERVICE_NAME="Factorio"
# Which user/group is running factorio?
# Running any public service as "root" is generally not recommended
USERNAM... |
066ab3e34d60f7cb5b233b24ca356c0e2f602b30 | 2,111 | #!/bin/bash
########################################################################################################################
### Script : rio_determine_dest_dir.sh
### Description : This script determines the destination dir for rio based on specified raw dir path and nominal time of coordinator
#... |
ee3fcac23a82f951aa10976d0e1cefde052a9fea | 2,133 | #!/bin/bash
# zforce: force a gz extension on all gzip files so that gzip will not
# compress them twice.
#
# This can be useful for files with names truncated after a file transfer.
# 12345678901234 is renamed to 12345678901.gz
# Copyright (C) 2002, 2007, 2010 Free Software Foundation
# Copyright (C) 1993 Jean-loup ... |
ad40ea1200aa3f29083c120677b21ce2c7a298d2 | 1,186 | #!/usr/bin/env bash
set -e
SCRIPTPATH=$(dirname $(realpath -s $0))
cd $SCRIPTPATH/..
NAMESPACE=$1
RELEASE_NAME=$2
PASSWORD=$3
HASH=$(docker run amazon/opendistro-for-elasticsearch sh /usr/share/elasticsearch/plugins/opendistro_security/tools/hash.sh -p $PASSWORD)
echo "generate kubernetes secret for $RELEASE_NAME cert... |
8267d8a8f0ea85c45352d23f0218bb7a780a71f1 | 64 | #!/bin/bash
docker build -t chaeyk/s3 .
docker push chaeyk/s3
|
e89cae6c05997f13d2c8139436c5d44f579e2e8a | 760 | LANG=en_US.utf8
cd java/
mkdir -p /data/sidana/recnet_draft/$1/cofactor/$2/rv/
mkdir -p /data/sidana/recnet_draft/$1/cofactor/$2/em/
javac -cp binaries/commons-lang3-3.5.jar preProcess/ConvertIntoRelVecGeneralized_update.java preProcess/InputOutput.java
echo 'making relevance vector'
if [ $2 == "one" ]
then
rank=2... |
c5b57014964b8342828c375ba4e09130c72e0b4d | 97 | snakemake -s test.snakemake --drmaa ' -pe smp 1 -wd /home/xiuque/Projects/test_all/logs ' -j 10
|
265cdc4cea3493ef05678ba11f64b58d37325283 | 113 | #!/bin/bash
mv settings.py settings_tmp.py
mv settings_local.py settings.py
mv settings_tmp.py settings_local.py
|
ad876725c96814c49257e5887429723a982b2ffb | 329 | #!/bin/bash
export BRANCH=$(if [ "$TRAVIS_PULL_REQUEST" == "false" ]; then echo $TRAVIS_BRANCH;
else echo $TRAVIS_PULL_REQUEST_BRANCH; fi)
git remote set-url origin https://dimkinv:$GITHUB_PUSH@github.com/myspecialway/my-special-way-server.git
git checkout $BRANCH
git pull
yarn config set version-git-message "v%s [... |
acf0db10a35ecbbbbba3f392d326a7f25cfa520f | 146 | #!/bin/bash
a="hello world !"
printf '%s\n' "A is :$a"
num=2
echo "this is the $num"
echo "this is the ${num}nd"
var=0
var=$((var+100))
echo $var
|
927aea347f50aa843b5f79edeb70809bcd9baa47 | 91 | #! /bin/bash
#
# score
echo "score"
adccli score
echo "score-dump"
adccli score-dump
|
464f3f1c1d7cb15d771d4fd7461e59bbaae6712b | 488 | #!/bin/bash
#
### Check status replicas.
#
HOST="$1"
PORT="$2"
URL="http://${HOST}:${PORT}/solr/admin/replication/index.jsp"
MASTER=`curl -s ${URL} | grep "Replicatable Index Version" | awk {'print $5'}`
SLAVE=`curl -s ${URL} | grep "Index Version" | grep -v '<td>' | awk {'print $5'}`
#printf "Master ${MASTER}\n"
#pr... |
2ec5d7019b41f46e9b857dbabb38310bf6eafaf2 | 275 | #!/usr/bin/env bash
#
# anax/cache
#
# Setup cache/ and related.
#
gitignore = "
# Ignore everything in this directory
*
# Except this file
!.gitignore
"
# Create the cache directory.
install -d cache
# Get configuration for the cache.
rsync -a vendor/anax/cache/config ./
|
34a977ef9fd35a651d592718fbf0ba2d416541d6 | 724 | #!/bin/bash
cron_file='/var/spool/cron/root'
cron_log_file='/www/bin/cron_start_polling-daemon.log'
# ๆฏไธๅ้่ขซๆ่ตท1ๆฌกๆฅๅฟ(ๅช็ๆๅไธๆฌกๆ่ตท็ๆถ้ด)
echo $(date) > $cron_log_file
# ๆฃๆฅๆฏๅฆๅทฒๅ ๅ
ฅไปปๅก
if ! grep -Fxq '*/1 * * * * /bin/sh /www/bin/start_polling-daemon.sh' $cron_file; then
echo '*/1 * * * * /bin/sh /www/bin/start_polling-daemon.sh' ... |
a92b16b2bd5b1a6f7d042573091180afefbd40f5 | 3,580 | #!/bin/sh
### BEGIN INIT INFO
# Provides: 3D sensor ROS publishing nodes via user push button.
# Required-Start: $remote_fs $syslog
# Required-Stop: $remote_fs $syslog
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: 3D sensor ROS publishing nodes via user push button.
# Description: The... |
c9bd94f2b5b8f5d06b7f1d3c4c6ce758e837d642 | 30 | COMPOSE_PROJECT_NAME="kettle"
|
efafd4bff5c88f599210a6eb591ce96141c51674 | 5,813 | #!/bin/bash
echo ""
echo "-- Script to create Condor jobs for EventAnalyzer --"
if [ -z "$1" ] || [ -z "$2" ] || [ -z "$3" ]; then
echo "Missing arguments"
echo " ./createJobsToCondor.sh <script.C> <SampleDirName> <SampleFileList>"
echo " ex: ./createJobsToCondorLPC.sh exampleAnalysisTree.C TTJets ttje... |
11a3a510bf0b1def65e4b3f3b872e9e4f326bbde | 589 | #!/bin/bash
#
# loob kaks faili milles รผhes on kasutajanimed teises paroolid
if [ $# -ne 2 ]; then
echo "Kasutusjuhend: $0 kasutajad paroolid"
else
kasutajad=$1
paroolid=$2
if [ -f $kasutajad -a -r $kasutajad ] && [ -f $paroolid -a -r $paroolid ]; then
echo "Fail tรถรถtab vastavalt skriptile"
for rida i... |
531b9ff483e7a0c0230507696090bb9d3001fecd | 20,043 | #!/bin/sh
#
# update Cloudflare DNS records with current (dynamic) IP address
# Script by Asif Bacchus <asif@bacchus.cloud>
# Last modified: May 10, 2021
# Version 2.2
#
### text formatting presets using tput
if command -v tput >/dev/null; then
[ -z "$TERM" ] && export TERM=xterm
bold=$(tput bold)
... |
52a347b871f3d3bd77510d66a64bc0231b2d06bd | 173 | #!/bin/sh
export DIRECTOR_PLUGINS_DIR="/code/examples/plugins/my_plugins"
sudo ln -s /code/src/python/director/devel /usr/local/lib/python2.7/site-packages/director/devel
|
a4f4a5b416d029c7e6fadf2d0e36b173c210cba7 | 203 | #!/bin/sh
urldecode(){
echo -e "$(sed 's/+/ /g; s/%/\\x/g')"
}
rawfile="$3"
newfile="$(dirname "$rawfile")/$(basename "$rawfile" | urldecode)"
[ "$rawfile" != "$newfile" ] && mv "$rawfile" "$newfile" |
a4f0e488cee28f2a8aa9acfe59d204bbfb9ca2ff | 56 | #!/bin/bash
set -eu
docker build -t ldc-darwin "$@" .
|
8712a45c58b25cd81c2a2c88d327cbed54644158 | 189 | #!/bin/bash
# shellcheck disable=SC1090
set -ex
source "$KOKORO_GFILE_DIR/common.sh"
cd github/runtimes-common
gcloud container builds submit --config ftl/ftl_node_integration_tests.yaml .
|
e2d9ab140172afe87b845ecc52200b083b213d47 | 1,448 | #!/usr/bin/env sh
# generated from catkin/python/catkin/environment_cache.py
# based on a snapshot of the environment before and after calling the setup script
# it emulates the modifications of the setup script without recurring computations
# new environment variables
# modified environment variables
export CMAKE_... |
76657bbab1c3f8d68a0dbdb309983ffacb0c4495 | 991 | # Docker
apt-get install -y apt-transport-https ca-certificates
apt-key adv --keyserver hkp://p80.pool.sks-keyservers.net:80 --recv-keys 58118E89F3A912897C070ADBF76221572C52609D
echo 'deb https://apt.dockerproject.org/repo ubuntu-xenial main' > /etc/apt/sources.list.d/docker.list
apt-get update
apt-get install -y li... |
128f243dea968d3f8a44ce34254b8e45aeae31ec | 811 | add() {
shift
alias=$1
command=$2
if [ $# -lt 2 ]; then
if [ $# -eq 0 ]; then
echo -n "Enter your alias name and press enter [ENTER]: "
read alias
fi
echo -n "Enter an associated command for $alias and press enter [ENTER]: "
read command
fi
echo $alias : $command > aKa.list
exit
}
help() {
ca... |
85a3b355914fe929042a00d97b3ef3c139c765ae | 1,057 | function realizarCopia()
{
#Definir constantes de la funcion
FICH_NOM_COPIA="temp/nom_copia.txt"
#Pedir nombre del archivo backup al usuario
dialog --backtitle "Agenda 2012 - ISO" --title "Agenda" \
--inputbox "Como se ha de llamar la copia?\n\
No puede contener espacios\n\
No es necesario que escribas la exten... |
d6b9d628b33119c05d81f6e74425bdb2f7f037a5 | 255 | #!/bin/sh
set -e
SOCK=`mktemp -u`
EXPECTED_ERRORS='SampleError.hs:9:5: Not in scope: `foo'\'''
if ERRORS=`$HDEVTOOLS check --socket=$SOCK SampleError.hs`
then
false
elsh
[ "$ERRORS" = "$EXPECTED_ERRORS" ]
fi
$HDEVTOOLS --socket=$SOCK --stop-server
|
4f3eb544c2343da2da269eec01b280797ee0fca0 | 223 | #!/bin/bash
while [ true ]; do
Date=`date --date now '+%Y-%m-%d - %H-%M-%S'`
wget $2 -O "/home/kevin/Cauet/$(date --date now '+%Y')/$(date --date now '+%m')/$(date --date now '+%d')/$1 - $Date.mp3" -a "/dev/null"
done
|
c09595540c2d159c81bb17978e93076d669e422e | 6,071 | #!/bin/bash
PARAMS=${0#*pingstat_}
GRAPHTYPE=$(echo "$PARAMS" | cut -d _ -f 1)
TARGET=$(echo "$PARAMS" | cut -d _ -f 2)
# TODO: move these to configuration
PING_LAST_SECONDS=300
PINGSTAT_BASEURL="http://localhost:8000"
#
PING_MIN_WARNING=25
PING_MIN_CRITICAL=50
PING_AVG_WARNING=25
PING_AVG_CRITICAL=50
PING_MAX_WARNING... |
f670a032407fdf2bba5cf2184038ed91b66f126e | 691 | #!/usr/bin/env bash
blog_ws_root_path=~/GitHub/Quick/blog_ws
echo ${blog_ws_root_path}
cd ${blog_ws_root_path}/hugo_ws/mysite/content/post/markdown_blog_ws
git status -sb .
git add . && git commit -m "update" && git push
cd ${blog_ws_root_path}/hugo_ws/mysite
hugo --config=config.toml
cd ${blog_ws_root_path}/hugo_... |
56b9ad5274bbfc1325489c4cbb373e17dacce251 | 356 | #!/bin/rc
rfork ne
webfs
if(test -e /bin/hg){
hg clone https://code.9front.org/hg/ports /sys/ports
touch /sys/ports/Config/ports.db
echo 'Be sure to edit /sys/ports/Config/ports.conf'
echo 'run ports/update to keep the ports tree up to date.'
}
if not {
echo 'installing the ports tree without mercurial is no longe... |
44908b87bbb4e81f83aef16fadb4384f560c108f | 2,260 | export TERM="xterm-256color"
export ZSH=$HOME/.oh-my-zsh
ZSH_THEME="powerlevel9k/powerlevel9k"
POWERLEVEL9K_MODE="nerdfont-complete"
# Prompt settings
POWERLEVEL9K_PROMPT_ON_NEWLINE=true
POWERLEVEL9K_RPROMPT_ON_NEWLINE=true
# Context
# DEFAULT_USER="thrimbda"
POWERLEVEL9K_ALWAYS_SHOW_CONTEXT=true
POWERLEVEL9K_CONTE... |
e03a39b6a9c3cd0d896f9ce7fa1243f0db88816a | 486 | #!/usr/bin/env bash
set -e
CONFIG="packages.conf.yaml"
DOTBOT_DIR="dotbot"
APTGET_DIR="dotbot_plugin_aptget"
DOTBOT_BIN="bin/dotbot"
APTGET_PLUGIN="aptget.py"
BASEDIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
cd "${BASEDIR}"
git submodule update --init --recursive "${DOTBOT_DIR}"
git submodule update --init -... |
e4aad1f2cba2ea949f15d9f692c5e675b939b7c1 | 879 |
input=$1
output=$2
publicDNS=$(cat publicDNS.txt)
listOfDNS="$publicDNS"
count=0
#echo ${#source[@]}
for i in $(echo $listOfDNS | tr " " "\n")
do
count=$(($count+1))
done
if [ $count -eq 2 ]
then
ports="8000 8001"
fi
if [ $count -eq 8 ]
then
ports="8000 8001 8002 8003 8004 8005 8006 8007"
fi
serverNumber=0
for i ... |
daeac7e90dfc0ac1c9e180841ed9acdda130eb75 | 1,935 | #!/bin/bash
# ------------------------------------------------------------------------
# Copyright 2017 WSO2, Inc. (http://wso2.com)
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http:... |
dbcf7c0b1c9325b371b947e6c7e3150083283015 | 443 | export GAZEBO_RESOURCE_PATH=/root/catkin_ws/install/share/mavlink_sitl_gazebo:${GAZEBO_RESOURCE_PATH}
export GAZEBO_PLUGIN_PATH=/root/catkin_ws/install/lib/mavlink_sitl_gazebo/plugins:${GAZEBO_PLUGIN_PATH}
export GAZEBO_MODEL_PATH=/root/catkin_ws/install/share/mavlink_sitl_gazebo/models:${GAZEBO_MODEL_PATH}
export LD_L... |
5a2bcedb4115d5e9449ff74b476b56f915064599 | 912 | #!/usr/bin/env bash
set -euo pipefail
mkdir -p data/stage1/{sub,wiki,ppc}
stage1() {
../../tools/moses-scripts/scripts/tokenizer/normalize-punctuation.perl -l pl <"$1" |
sed -E 's/[^[:alnum:] ,\.\?\!]/ /Ig; s/ +/ /g' | # alphaa will alow for czech, arabic and so on
rg -v '^\s*$' |
sd '[0-9]' '1' >"$2" # replace... |
31440d48eb4d89c8049f551688c6a0927c18661c | 695 | #!/bin/bash
STAMP="/home/vagrant/.$(basename $0)"
echo $STAMP
if [ ! -f $STAMP ]; then
export DEBIAN_FRONTEND="noninteractive" ; set -e #-x
cat > /etc/apache2/sites-available/${APPNAME}.conf << _EOF
<VirtualHost *:80>
ServerName 127.0.0.1:8000
DocumentRoot /vagrant/${APPNAME}/web
<Directory /vagran... |
76dbc29819d5f177222f2cb285927edc2346e360 | 85 | #!/bin/bash
while read; do echo $REPLY; done < $1;
while read; do echo $REPLY; done
|
70210facbe133039b8a2ad8a0b3be12968b6a647 | 72 | psql -U postgres -h localhost -d postgres -a -f "table-add-command.sql"
|
c32ba100212a83cf8838e864def167b365b97188 | 17 | echo "I am v657"
|
60000c25b57e6cf669b6a3d4cfc9bdae3cb79e85 | 347 | #!/bin/bash
DIR=`dirname $0`
dotnet restore $DIR/../<%= serviceProject %> -s /opt/microsoft/sdk/servicefabric/csharp/packages -s https://dotnet.myget.org/F/dotnet-core/api/v3/index.json
dotnet build $DIR/../<%= serviceProject %> -v normal
CURDIR=`pwd`
cd `dirname $DIR/../<%= serviceProject %>`
dotnet publish -o $CURD... |
c8bbb470e0760224f7efa09d64ca056cc612e187 | 76 | #!/bin/bash
kubectl apply -f cert-manager.yaml
kubectl apply -f issuer.yaml
|
db54fe5b010b90384cd844279e91c4749fa2e1e4 | 2,283 | #!/bin/bash
# written by Balazs in 2018
# predefined variables
LOCATION="/backup"
SEP="/"
LOGDIR="/backup-logs"
LOGFILE=$LOGDIR"wp.log"
CRED="/cred"
DATE=$(date +%F-%H-%M)
# Make sure that directories exist
if [ ! -d $LOGDIR ]; then
mkdir -p $LOGDIR
fi
if [ ! -d $LOCATION ]; then
if mkdir -p $LOCATION; then
... |
7bc6090e605c899e60c89059fc01ee1235885a58 | 1,604 | ## This shell is needed to be run of after Plasmidseeker_wrapper.pl is finished running
for directory in $(ls -1d */); do
echo -n "$directory "; cd $directory; sed 's/ /_/g' *_plasmidseeker_results.txt >tmp_ps_results.txt;
for d in $(cat Plasmid_list_for_QueryContigs_withAlignment_prcnt.txt | cut -f2 -d " " | sed ... |
95db836245cfb87b2f8e5607694fc7fa93a25990 | 696 | #!/bin/bash
# ัะบัะธะฟั ะผะพะฝะธัะพัะธั ะฝะฐะปะธัะธะต ะฝะพะฒัั
ัะฐะนะปะพะฒ ะธ ะพัะฟัะฐะฒะปัะตั ะธั
ะฒ ัะตะปะตะณัะฐะผ
# ะฝะตะพะฑั
ะพะธะดะผะพ ัััะฐะฝะพะฒะธัั: apt-get install inotify-tools
MONITOR_DIR=
CHAT_ID=
BOT_TOKEN=
sendfile(){
curl -s -F "chat_id=$CHAT_ID" -F document=@$1 https://api.telegram.org/bot$BOT_TOKEN/sendDocument
}
# ะะพะฝะธัะพัะธะผ ะดะธัะตะบัะพัะธั ะฝะฐ ะฝะฐะปะธัะธะต ะฝะพ... |
a74a5122bd9ebb25db468e7ed6f85767a7dc9cb7 | 147 | #!/bin/sh
trap '' 2
#$1 ./AcessKernel --rootapp /Acess/SBin/login
$1 ./AcessKernel --rootapp /Acess/Apps/AxWin/3.0/AxWinWM
trap 2
killall ld-acess
|
01bd0a2903a51bfedb93e057308ffaf6b3b8d4fb | 518 | # Record the scores of the different models
rm logs/*
python main.py --skip_preprocess --model tree > logs/tree.log
python main.py --skip_preprocess --model gbm > logs/gbm.log
python main.py --skip_preprocess --model gbm_tuned > logs/gbm_tuned.log
python main.py --skip_preprocess --model xgboost_tuned > logs/xgboost_tu... |
6a38a9f5b5c3bed61927aaf0382ed1d77a9a7475 | 883 | #!/bin/bash
# description: Script to Start Stop Restart Tomcat
JAVA_HOME=/usr/java/default
export JAVA_HOME
PATH=$JAVA_HOME/bin:$PATH
export PATH
TOMCAT_HOME=/opt/tomcat/bin
JAVA_OPTS="-Xms2048m -Xmx8192m -XX:MaxPermSize=512m
export JAVA_OPTS
case $1 in
start)
/bin/su -p -s /bin/sh tomcat $TOMCAT_HOME/startup.sh
;;
sto... |
823925a93879a7d28852129b5ce344fee87e627b | 1,116 | #!/bin/bash
LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:/opt/radar/lib"
LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:/opt/radar/rave/lib"
LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:/opt/radar/rave/Lib"
LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:/opt/radar/rsl/lib"
LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:/opt/radar/vol2bird/lib"
LD_LIBRARY_PATH="${LD_LI... |
b3178dd32158bd2752f1dd978c2811553d246b9a | 120 | # Python command to install the script
$PYTHON setup.py install --single-version-externally-managed --record=record.txt
|
b77305c2b4a164db012067704c37441ee1165c02 | 3,313 | #!/bin/bash
#
#
# โโโโโโโ โโโโโโ โโโ โโโโโโโโโโโโโโโโโโโ โโโโโโโโโโโโ
# โโโโโโโโโโโโโโโโโโโโ โโโโโโโโโโโโโโโโโโโโโ โโโโโโโโโโโโโ
# โโโ โโโโโโโโโโโ โโโโโโโ โโโ โโโโโโโโโโโโโโโโโโโโ
# โโโ โโโโโโโโโโโ โโโโโ โโโ โโโโโโโโโโโโโโโโโโโโ
# โโโโโโโโโโโ โโโ โโโ โโโ โโโโโโ โโโ โโโโโโโโโโโ
# ... |
0ac337117d581dc0c593bd4374bc59346e60870a | 101 | #!/bin/sh
exit 0
if [ "$LINKNAME"x = tdslx ]; then
nspamper-change --link $LINKNAME $PPP_LOCAL
fi
|
d52166183202957deba79bde8b8ed795299bc2ed | 2,278 | # ~/.profile: executed by the command interpreter for login shells.
# This file is not read by bash(1), if ~/.bash_profile or ~/.bash_login
# exists.
# see /usr/share/doc/bash/examples/startup-files for examples.
# the files are located in the bash-doc package.
# the default umask is set in /etc/profile; for setting t... |
dca4e70ec5ff7084396a83ae0865a69eb2cfc127 | 240 | #!/bin/bash
sudo apt-get install -y python vim-nox-py2 exuberant-ctags git
sudo pip install dbgp pep8 flake8 pyflakes isort
wget https://raw.githubusercontent.com/tao12345666333/vim/master/vimrc -O $HOME/.vimrc
vim -E -u $HOME/.vimrc +qall
|
a02a25619e88eb0e05adb5288d1251152f1b2d83 | 252 | # install the OTA boot loader into an ATmega328 using ISP
tty="/dev/tty.usbserial-A600dVBa"
hex="ota_boot_atmega328.hex"
set -x
avrdude -V -p m328p -c stk500v1 -P $tty -b 19200 \
-U hfuse:w:0xD8:m -U lfuse:w:0x4E:m -U efuse:w:0x06:m -U flash:w:$hex
|
c237969dd1aeee9a87681054f25f2e5ca401e948 | 60 | #!/usr/bin/env bash
echo "Hello. I am a fake fastqc binary." |
6c8e2e65a4aefa47606233d78c00093ef7b96c09 | 256 | #!/bin/bash
basedir=$(readlink -f $(dirname $0))
source ${basedir}/common_env.sh
echo "=== Docker Swarm ==="
docker -H ${DOCKER_SWARM_HOST} ps | perl -ne '@cols = split /\s{2,}/, $_; printf "%0s %25s %20s %30s\n", $cols[0], $cols[1], $cols[4], $cols[6]'
|
06087f1602d445f6bffe2340e81a770158b10459 | 942 | . .projrc
# ๅๅปบ pyenv ่ๆ็ฏๅข๏ผๅฆๆ ้ pyenv๏ผๅๆณจ้
echo "##### check python / pyenv ..."
. scripts/host/02-pyenv.sh
[[ $@ =~ "--to-pyenv" ]] && exit 0
# ๅฎ่ฃ
ไพ่ต
[[ $@ =~ "--no-pip" ]] && exit 0
echo "##### check libraries ..."
. scripts/host/02-pip.sh
. scripts/base/02-pip.sh
. scripts/dev/40-submodules.sh
[[ $@ =~ "--to-pip" ]] &... |
32ddd1929d78f97fefafd9ea5832a5b571437c78 | 393 | #!/usr/bin/env bash
sudo yum install -y expect
# for MSSQL
curl https://packages.microsoft.com/config/rhel/7/prod.repo > /etc/yum.repos.d/msprod.repo
expect -c "
spawn yum install -y mssql-tools unixODBC-devel
expect \"Do you accept the license terms? (Enter YES or NO)\" {
send \"YES\n\"
expect \"Do you accep... |
6dd1b04755dbd2691e04d84d4984c9288ff33d0e | 373 | NODE_ENV=development
PORT=5000
MONGO_URI=mongodb+srv://fhind:fhind@fhind.sbbgx.mongodb.net/fhind?retryWrites=true&w=majority
GEOCODER_PROVIDER=mapquest
GEOCODER_API_KEY=
FILE_UPLOAD_PATH= ./public/uploads
MAX_FILE_UPLOAD=1000000
JWT_SECRET=
JWT_EXPIRE=30d
JWT_COOKIE_EXPIRE=30
SMTP_HOST=smtp.mailtrap.io
SMTP_PORT=2... |
243088c32bf9ec385c22f044b71146ba2184b777 | 470 | #!/usr/bin/env bash
set -euo pipefail
if [ $# -gt 0 ] && [ "$1" != "--" ]; then
exec "$@"
fi
cd /home/hacker
[ -d qemu-tutorial ] || cp -a /qemu-tutorial qemu-tutorial
echo ""
echo " Welcome to the JCF11 QEMU Tutorial"
echo ""
echo " You're running bash into a Ubuntu 14.04 container as user 'hacker'."
ech... |
2908981cc8fec05133205cd226da68064aa4adc6 | 291 | #!/usr/bin/env bash
set -e
# Usage: ../test-py.sh DIR SOLUTION
# Example: ../test-py.sh /adventofcode2020/day-03 solutions/main.py
DIR="$1"
SOLUTION="$2"
cat "$DIR/input.txt" | python3 "$DIR/$SOLUTION" | diff - "$DIR/output.txt"
echo "$DIR / python3 $SOLUTION โ
"
|
4799018bc26c73f0fe7df899e31af7681c36c4ff | 965 | #!/bin/bash
# proc10xG 0.0.1
set -x -e -o pipefail
main() {
echo "Value of asm: '$input_fastq'"
dx-download-all-inputs --parallel
mv in/*/*/*.fastq.gz .
for e in ${input_fastq_name[@]}; do
echo $e
if [[ $e == *"R1"* ]]; then
echo $e >> fw.ls
elif [[ $e == *"R2"* ]]; then
... |
8411daac0e00261981f85041f6ac6ed5ca22b070 | 212 | #!/bin/bash
conky --pause=10 -c /home/smgr/.config/conky/conky_center.lua &
#conky --pause=10 -c /home/smgr/.config/conky/conky_main.lua &
#conky --pause=10 -c /home/smgr/.config/conky/conky_task_progress.lua &
|
2c7154f8496a805bbb278a14e09fd6743c3d2532 | 378 | #!/bin/bash
# usage: ./camera_demo.sh [device] [args]
MACHINE=`uname --machine`
PLATFORM_ARGS=""
USER_ARGS="${@:2:$#}"
VIDEO_DEVICE="/dev/video0"
PREFIX=""
APP="./camera_demo"
if [ $# -ge 1 ]; then
VIDEO_DEVICE=$1
fi
if [ ${MACHINE} = "armv7l" ]; then
PREFIX="sudo"
PLATFORM_ARGS="-f v -f h"
fi
${PREFIX... |
441449ee666af1e284af888acaaa9c50df769dd6 | 687 | #!/usr/bin/env bash
# Install dependencies if needed
which unzip curl jq 2>&1 || {
echo "Installing dependencies... "
apt-get update
apt-get install -y unzip curl jq
}
# Download consul if needed
which consul 2>&1 || {
pushd /usr/local/bin
echo "Fetching Consul version 1.4.3"
curl -sL -o /var/tmp/consul.z... |
5eac31a407deb651f68c607aec6c61976ac58992 | 184 | MONGO_DSN=mongodb://root:root@db/nest?authSource=admin
KAFKA_CLIENT_ID=nest-api
KAFKA_BROKER=host.docker.internal:9094
KAFKA_CONSUMER_GROUP_ID=
KAFKA_PRODUCER_TOPIC=route.new-direction |
234413e3436038f6f724baa6624476d5ba83184b | 48 | #!/bin/bash
cd ~/Documents
git pull
sudo reboot
|
70b95c715fd938e8044a5ed1389add50a61ea352 | 338 | #!/bin/sh
set -e
# ---------------------------------------------------------------------------- #
#
# Install Elm Format.
#
# ---------------------------------------------------------------------------- #
# Check the current build.
if [ -z "${ELM_REVIEW+x}" ] || [ "$ELM_REVIEW" -ne 1 ]; then
exit 0;
fi
npm install ... |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.